<template>
	<view>
		<view>adasd</view>
		<tabBar :pageIndex="pageVal" :textType="1" @toTab="toTab"></tabBar>
	</view>
</template>

<script>
	import tabBar from '@/components/Madman-tabBar/tabBar.vue';
	export default {
		components: {
			tabBar
		},
		data() {
			return {
				pageVal: 0,
			}
		},
		onLoad(opt) {
			this.pageVal = opt.id ? Number(opt.id) : ''	
		},
		methods: {
			toTab(data) {
				uni.redirectTo({
					url: data.pageUrl
				})
			},
		}
	}
</script>

<style>

</style>